Index: java/FramsclipseFeature/.project
===================================================================
--- java/FramsclipseFeature/.project	(revision 16)
+++ java/FramsclipseFeature/.project	(revision 16)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>Framsclipse-feature</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.FeatureBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.FeatureNature</nature>
+	</natures>
+</projectDescription>
Index: java/FramsclipseFeature/build.properties
===================================================================
--- java/FramsclipseFeature/build.properties	(revision 16)
+++ java/FramsclipseFeature/build.properties	(revision 16)
@@ -0,0 +1,1 @@
+bin.includes = feature.xml
Index: java/FramsclipseFeature/feature.xml
===================================================================
--- java/FramsclipseFeature/feature.xml	(revision 16)
+++ java/FramsclipseFeature/feature.xml	(revision 16)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+      id="com.framsticks.framclipse"
+      label="Framclipse"
+      version="0.6.0"
+      provider-name="Jan Kuźniak, Jakub Bocheński">
+
+   <description url="http://www.framclipse.com">
+      Framclipse is a project started at Poznan University of Technology
+(Poland) by Jan Kuźniak. The motivation was to pass a class of
+Computations and Systems Inspired Biologically and help other
+people that are using Frasticks simulator in the same time.
+This version supports syntax coloring and simple completion proposal.
+----
+This is an upgrade made by Jakub Bocheński, model generation and code completion was improved.
+   </description>
+
+   <copyright url="http://www.example.com/copyright">
+      [Enter Copyright Description here.]
+   </copyright>
+
+   <license url="http://www.example.com/license">
+      Copyright (c) 2007 Jan Kuźniak, http://jan.kuzniak.pl
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+&quot;Software&quot;), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and
+to permit persons to whom the Software is furnished to do so,
+subject to the following conditions:
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+Except as contained in this notice, the name(s) of the above
+copyright holders shall not be used in advertising or otherwise
+to promote the sale, use or other dealings in this Software without
+prior written authorization.
+THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
+FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+   </license>
+
+   <url>
+      <discovery label="Framsticks" url="http://www.framsticks.com"/>
+   </url>
+
+   <requires>
+      <import plugin="org.eclipse.ui"/>
+      <import plugin="org.eclipse.core.runtime"/>
+      <import plugin="org.eclipse.jface.text"/>
+      <import plugin="org.eclipse.ui.editors"/>
+      <import plugin="org.eclipse.ui.workbench.texteditor"/>
+      <import plugin="org.eclipse.ui.views"/>
+      <import plugin="org.eclipse.ui.ide"/>
+   </requires>
+
+   <plugin
+         id="com.framsticks.framclipse"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
+</feature>