Index: java/ecj/framsticks/frams.master.params
===================================================================
--- java/ecj/framsticks/frams.master.params	(revision 55)
+++ java/ecj/framsticks/frams.master.params	(revision 55)
@@ -0,0 +1,42 @@
+# Copyright 2006 by Sean Luke and George Mason University
+# Licensed under the Academic Free License version 3.0
+# See the file "LICENSE" for more information
+
+parent.0 = framsticks.params
+
+# When eval.masterproblem is turned on, the system assumes
+# use of the master/slave evaluator.
+eval.masterproblem = ec.eval.MasterProblem
+
+# Turning this on will provide synchronization
+# information for debugging the master/slave evaluator
+eval.masterproblem.debug-info = true
+
+# How large should each slave's job queue be?  ECJ will
+# keep slaves' TCP/IP streams filled with jobs even if the
+# slaves haven't processed them yet, which has a significant
+# effect on network performance.  Increasing this number is
+# likely to be more efficient.  Note that once a job is
+# committed to a slave, a brand new slave coming on-line cannot
+# take it -- it'll have to sit and wait, which isn't particularly
+# efficient.  At the very least, it's probably helpful to have 2
+# or 3 jobs in the queue.
+eval.masterproblem.max-jobs-per-slave = 3
+
+# How large should our job be?  If you're doing ordinary
+# non-coevolutionary evolution, you can specify how many individuals
+# should be placed into a job (maximum) and sent to the slave
+# to be evaluated at one time, using the below parameter.
+# If your individuals are small in size, this can significantly
+# improve the network bandwidth.  If the individuals are large
+# in size, it'll have no real effect.  Furthermore, if your
+# slave is running in 'evolve' mode, this parameter will determine
+# the maximum (and typical) size of the "population" the slave is
+# evolving.  This works for both steady-state and generational evolution,
+# but if you're doing coevolution, the job size is ignored -- instead
+# the job will consist of the individuals to be coevolved together.
+eval.masterproblem.job-size = 2
+
+# This defines the socket port that the master listens in
+# for incomoing Slaves to connect.
+eval.master.port = 15000
Index: java/ecj/framsticks/frams.params
===================================================================
--- java/ecj/framsticks/frams.params	(revision 55)
+++ java/ecj/framsticks/frams.params	(revision 55)
@@ -0,0 +1,61 @@
+# Copyright 2006 by Sean Luke and George Mason University
+# Licensed under the Academic Free License version 3.0
+# See the file "LICENSE" for more information
+
+# The parameters that were laid out in Tutorial 1 (see the documentation)
+
+verbosity = 0
+
+breedthreads  = 1
+evalthreads   = 1
+seed.0        = 4357
+
+state   = ec.simple.SimpleEvolutionState
+
+pop     = ec.Population
+init    = ec.simple.SimpleInitializer
+finish  = ec.simple.SimpleFinisher
+breed   = ec.simple.SimpleBreeder
+eval    = ec.simple.SimpleEvaluator
+stat    = ec.simple.SimpleStatistics
+exch    = ec.simple.SimpleExchanger
+
+generations   = 200
+quit-on-run-complete  = true
+checkpoint    = false
+prefix        = ec
+checkpoint-modulo = 1
+
+stat.file = $out.stat
+
+pop.subpops   = 1
+pop.subpop.0  = ec.Subpopulation
+
+pop.subpop.0.size               = 15
+pop.subpop.0.duplicate-retries  = 0
+pop.subpop.0.species            = framsticks.FramsticksSpecies
+
+pop.subpop.0.species.fitness  = ec.simple.SimpleFitness
+pop.subpop.0.species.ind      = framsticks.FramsticksIndividual
+
+pop.subpop.0.species.crossover-prob = 1.0
+pop.subpop.0.species.mutation-prob  = 0.1
+
+pop.subpop.0.species.pipe                   = framsticks.FramsticksMutationPipeline
+pop.subpop.0.species.pipe.source.0          = framsticks.FramsticksCrossoverPipeline
+pop.subpop.0.species.pipe.source.0.source.0 = ec.select.TournamentSelection
+pop.subpop.0.species.pipe.source.0.source.1 = ec.select.TournamentSelection
+
+select.tournament.size = 2
+
+eval.problem = framsticks.FramsticksEvolutionProblem
+
+breed.elite.0 = 2
+
+framsticks.debug = false
+framsticks.directory-path = C:/Framsticks/
+framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
+framsticks.settings-file = C:/Framsticks/maze1.sim
+framsticks.working-directory = C:/Framsticks/
+framsticks.expdef = standard-eval
+framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/frams.slave.params
===================================================================
--- java/ecj/framsticks/frams.slave.params	(revision 55)
+++ java/ecj/framsticks/frams.slave.params	(revision 55)
@@ -0,0 +1,33 @@
+# Copyright 2006 by Sean Luke and George Mason University
+# Licensed under the Academic Free License version 3.0
+# See the file "LICENSE" for more information
+
+parent.0 = framsticks.master.params
+
+# We tell our slave that he's a slave.
+eval.i-am-slave = true
+
+
+# You may want to customize each slave by giving it a unique
+# name like this:
+# 
+# eval.slave-name = my-slave-name
+#
+# (do this differently for each slave:, slave-2, slave-3, etc.)
+# Otherwise, each slave will give itself an approximately unique name based
+# on the current time and the IP address of the slave.  The unique name
+# doesn't HAVE to be unique -- it's just for printing/debug purposes.
+
+
+# We want to make sure that the Slave's Statistics object does not
+# override the Master's statistics files.  The easiest way to do this
+# is to eliminate the Statistics object in the slave by setting it
+# to the (empty default) Statistics class with no children.
+
+eval.stat = ec.Statistics
+eval.stat.num-children = 0
+
+
+# The slave needs to know where the Master is.  You need to change this.
+eval.master.host = 127.0.0.1
+
Index: java/ecj/framsticks/frams_coevolution.params
===================================================================
--- java/ecj/framsticks/frams_coevolution.params	(revision 55)
+++ java/ecj/framsticks/frams_coevolution.params	(revision 55)
@@ -0,0 +1,51 @@
+verbosity = 0
+
+breedthreads  = 1
+evalthreads   = 1
+seed.0        = 4357
+
+pop     = ec.Population
+state   = ec.simple.SimpleEvolutionState
+init    = ec.simple.SimpleInitializer
+finish  = ec.simple.SimpleFinisher
+breed   = ec.simple.SimpleBreeder
+stat    = ec.simple.SimpleStatistics
+exch    = ec.simple.SimpleExchanger
+eval    = cecj.eval.TournamentCoevolutionaryEvaluator
+
+generations   = 200
+quit-on-run-complete  = true
+checkpoint        = false
+prefix            = ec
+checkpoint-modulo = 1
+
+pop.subpops                     = 1
+pop.subpop.0                    = ec.Subpopulation
+pop.subpop.0.size               = 8
+pop.subpop.0.duplicate-retries  = 0
+
+pop.subpop.0.species          = framsticks.FramsticksSpecies
+pop.subpop.0.species.ind      = framsticks.FramsticksIndividual
+pop.subpop.0.species.fitness  = ec.simple.SimpleFitness
+pop.subpop.0.species.crossover-prob = 1.0
+pop.subpop.0.species.mutation-prob  = 0.1
+
+pop.subpop.0.species.pipe                   = framsticks.FramsticksMutationPipeline
+pop.subpop.0.species.pipe.source.0          = framsticks.FramsticksCrossoverPipeline
+pop.subpop.0.species.pipe.source.0.source.0 = ec.select.TournamentSelection
+pop.subpop.0.species.pipe.source.0.source.1 = ec.select.TournamentSelection
+
+select.tournament.size = 2
+
+eval.problem = framsticks.FramsticksCoevolutionaryProblem
+
+breed.elite.0 = 2
+
+stat.file = $out.stat
+
+framsticks.directory-path = C:/Framsticks/
+framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
+framsticks.settings-file = C:/Framsticks/maze1.sim
+framsticks.working-directory = C:/Framsticks/
+framsticks.expdef = standard-eval
+framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/frams_coevolution2.params
===================================================================
--- java/ecj/framsticks/frams_coevolution2.params	(revision 55)
+++ java/ecj/framsticks/frams_coevolution2.params	(revision 55)
@@ -0,0 +1,69 @@
+verbosity = 0
+
+breedthreads  = 1
+evalthreads   = 1
+seed.0        = 4357
+
+pop     = ec.Population
+state   = ec.simple.SimpleEvolutionState
+init    = ec.simple.SimpleInitializer
+finish  = ec.simple.SimpleFinisher
+breed   = ec.simple.SimpleBreeder
+stat    = ec.simple.SimpleStatistics
+exch    = ec.simple.SimpleExchanger
+eval    = cecj.eval.SimpleCoevolutionaryEvaluator
+
+generations           = 200
+quit-on-run-complete  = true
+checkpoint            = false
+prefix                = ec
+checkpoint-modulo     = 1
+
+pop.subpops     = 2
+pop.subpop.0    = ec.Subpopulation
+pop.subpop.1    = ec.Subpopulation
+
+pop.subpop.0.size         = 8
+pop.subpop.1.size         = 8
+pop.subpop.0.duplicate-retries  = 0
+pop.subpop.1.duplicate-retries  = 0
+
+pop.subpop.0.species            = framsticks.FramsticksSpecies
+pop.subpop.0.species.ind        = framsticks.FramsticksIndividual
+pop.subpop.0.species.fitness    = ec.simple.SimpleFitness
+pop.subpop.0.species.crossover-prob = 1.0
+pop.subpop.0.species.mutation-prob  = 0.1
+
+pop.subpop.1.species            = framsticks.FramsticksSpecies
+pop.subpop.1.species.ind        = framsticks.FramsticksIndividual
+pop.subpop.1.species.fitness    = ec.simple.SimpleFitness
+pop.subpop.1.species.crossover-prob = 1.0
+pop.subpop.1.species.mutation-prob  = 0.1
+
+pop.subpop.0.species.pipe                   = framsticks.FramsticksMutationPipeline
+pop.subpop.0.species.pipe.source.0          = framsticks.FramsticksCrossoverPipeline
+pop.subpop.0.species.pipe.source.0.source.0 = ec.select.TournamentSelection
+pop.subpop.0.species.pipe.source.0.source.1 = ec.select.TournamentSelection
+
+pop.subpop.1.species.pipe           = framsticks.FramsticksMutationPipeline
+pop.subpop.1.species.pipe.source.0  = ec.select.FitProportionateSelection
+
+select.tournament.size = 2
+
+eval.problem                  = framsticks.FramsticksCoevolutionaryProblem
+eval.interaction-scheme       = cecj.interaction.InterPopulationInteractionScheme
+eval.subpop.0.sampling-method = cecj.sampling.AllSamplingMethod
+eval.subpop.0.fitness-method  = cecj.fitness.SimpleSumFitness
+eval.subpop.1.sampling-method = cecj.sampling.AllSamplingMethod
+eval.subpop.1.fitness-method  = cecj.fitness.SimpleSumFitness
+
+breed.elite.0 = 2
+
+stat.file = $out.stat
+
+framsticks.directory-path = C:/Framsticks/
+framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
+framsticks.settings-file  = C:/Framsticks/maze1.sim
+framsticks.working-directory = C:/Framsticks/
+framsticks.expdef = standard-eval
+framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/framstick_coevolution.params
===================================================================
--- java/ecj/framsticks/framstick_coevolution.params	(revision 54)
+++ 	(revision )
@@ -1,51 +1,0 @@
-verbosity	= 0
-
-breedthreads	= 1
-evalthreads	= 1
-seed.0		= 4357
-
-pop			= ec.Population
-state		= ec.simple.SimpleEvolutionState
-init		= ec.simple.SimpleInitializer
-finish		= ec.simple.SimpleFinisher
-breed		= ec.simple.SimpleBreeder
-stat 		= ec.simple.SimpleStatistics
-exch		= ec.simple.SimpleExchanger
-eval		= cecj.eval.TournamentCoevolutionaryEvaluator
-
-generations		= 200
-quit-on-run-complete	= true
-checkpoint		= false
-prefix			= ec
-checkpoint-modulo	= 1
-
-pop.subpops		= 1
-pop.subpop.0		= ec.Subpopulation
-pop.subpop.0.size 		= 8
-pop.subpop.0.duplicate-retries 	= 0
-
-pop.subpop.0.species 		= framsticks.FramsticksSpecies
-pop.subpop.0.species.ind	= framsticks.FramsticksIndividual
-pop.subpop.0.species.fitness 	= ec.simple.SimpleFitness
-pop.subpop.0.species.crossover-prob	= 1.0
-pop.subpop.0.species.mutation-prob	= 0.1
-
-pop.subpop.0.species.pipe			= framsticks.FramsticksMutationPipeline
-pop.subpop.0.species.pipe.source.0		= framsticks.FramsticksCrossoverPipeline
-pop.subpop.0.species.pipe.source.0.source.0	= ec.select.TournamentSelection
-pop.subpop.0.species.pipe.source.0.source.1	= ec.select.TournamentSelection
-
-select.tournament.size		= 2
-
-eval.problem = framsticks.FramsticksCoevolutionaryProblem
-
-breed.elite.0 = 2
-
-stat.file		= $out.stat
-
-framsticks.directory-path = C:/Framsticks/
-framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
-framsticks.settings-file = C:/Framsticks/maze1.sim
-framsticks.working-directory = C:/Framsticks/
-framsticks.expdef = standard-eval
-framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/framstick_coevolution2.params
===================================================================
--- java/ecj/framsticks/framstick_coevolution2.params	(revision 54)
+++ 	(revision )
@@ -1,69 +1,0 @@
-verbosity	= 0
-
-breedthreads	= 1
-evalthreads	= 1
-seed.0		= 4357
-
-pop			= ec.Population
-state		= ec.simple.SimpleEvolutionState
-init		= ec.simple.SimpleInitializer
-finish		= ec.simple.SimpleFinisher
-breed		= ec.simple.SimpleBreeder
-stat 		= ec.simple.SimpleStatistics
-exch		= ec.simple.SimpleExchanger
-eval		= cecj.eval.SimpleCoevolutionaryEvaluator
-
-generations				= 200
-quit-on-run-complete	= true
-checkpoint				= false
-prefix					= ec
-checkpoint-modulo		= 1
-
-pop.subpops			= 2
-pop.subpop.0		= ec.Subpopulation
-pop.subpop.1		= ec.Subpopulation
-
-pop.subpop.0.size 				= 8
-pop.subpop.1.size 				= 8
-pop.subpop.0.duplicate-retries 	= 0
-pop.subpop.1.duplicate-retries 	= 0
-
-pop.subpop.0.species 				= framsticks.FramsticksSpecies
-pop.subpop.0.species.ind			= framsticks.FramsticksIndividual
-pop.subpop.0.species.fitness 		= ec.simple.SimpleFitness
-pop.subpop.0.species.crossover-prob	= 1.0
-pop.subpop.0.species.mutation-prob	= 0.1
-
-pop.subpop.1.species 				= framsticks.FramsticksSpecies
-pop.subpop.1.species.ind			= framsticks.FramsticksIndividual
-pop.subpop.1.species.fitness 		= ec.simple.SimpleFitness
-pop.subpop.1.species.crossover-prob	= 1.0
-pop.subpop.1.species.mutation-prob	= 0.1
-
-pop.subpop.0.species.pipe					= framsticks.FramsticksMutationPipeline
-pop.subpop.0.species.pipe.source.0			= framsticks.FramsticksCrossoverPipeline
-pop.subpop.0.species.pipe.source.0.source.0	= ec.select.TournamentSelection
-pop.subpop.0.species.pipe.source.0.source.1	= ec.select.TournamentSelection
-
-pop.subpop.1.species.pipe			= framsticks.FramsticksMutationPipeline
-pop.subpop.1.species.pipe.source.0	= ec.select.FitProportionateSelection
-
-select.tournament.size		= 2
-
-eval.problem 					= framsticks.FramsticksCoevolutionaryProblem
-eval.interaction-scheme			= cecj.interaction.InterPopulationInteractionScheme
-eval.subpop.0.sampling-method	= cecj.sampling.AllSamplingMethod
-eval.subpop.0.fitness-method	= cecj.fitness.SimpleSumFitness
-eval.subpop.1.sampling-method	= cecj.sampling.AllSamplingMethod
-eval.subpop.1.fitness-method	= cecj.fitness.SimpleSumFitness
-
-breed.elite.0 = 2
-
-stat.file		= $out.stat
-
-framsticks.directory-path = C:/Framsticks/
-framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
-framsticks.settings-file = C:/Framsticks/maze1.sim
-framsticks.working-directory = C:/Framsticks/
-framsticks.expdef = standard-eval
-framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/framsticks.master.params
===================================================================
--- java/ecj/framsticks/framsticks.master.params	(revision 54)
+++ 	(revision )
@@ -1,42 +1,0 @@
-# Copyright 2006 by Sean Luke and George Mason University
-# Licensed under the Academic Free License version 3.0
-# See the file "LICENSE" for more information
-
-parent.0 = framsticks.params
-
-# When eval.masterproblem is turned on, the system assumes
-# use of the master/slave evaluator.
-eval.masterproblem = ec.eval.MasterProblem
-
-# Turning this on will provide synchronization
-# information for debugging the master/slave evaluator
-eval.masterproblem.debug-info = true
-
-# How large should each slave's job queue be?  ECJ will
-# keep slaves' TCP/IP streams filled with jobs even if the
-# slaves haven't processed them yet, which has a significant
-# effect on network performance.  Increasing this number is
-# likely to be more efficient.  Note that once a job is
-# committed to a slave, a brand new slave coming on-line cannot
-# take it -- it'll have to sit and wait, which isn't particularly
-# efficient.  At the very least, it's probably helpful to have 2
-# or 3 jobs in the queue.
-eval.masterproblem.max-jobs-per-slave = 3
-
-# How large should our job be?  If you're doing ordinary
-# non-coevolutionary evolution, you can specify how many individuals
-# should be placed into a job (maximum) and sent to the slave
-# to be evaluated at one time, using the below parameter.
-# If your individuals are small in size, this can significantly
-# improve the network bandwidth.  If the individuals are large
-# in size, it'll have no real effect.  Furthermore, if your
-# slave is running in 'evolve' mode, this parameter will determine
-# the maximum (and typical) size of the "population" the slave is
-# evolving.  This works for both steady-state and generational evolution,
-# but if you're doing coevolution, the job size is ignored -- instead
-# the job will consist of the individuals to be coevolved together.
-eval.masterproblem.job-size = 2
-
-# This defines the socket port that the master listens in
-# for incomoing Slaves to connect.
-eval.master.port = 15000
Index: java/ecj/framsticks/framsticks.params
===================================================================
--- java/ecj/framsticks/framsticks.params	(revision 54)
+++ 	(revision )
@@ -1,61 +1,0 @@
-# Copyright 2006 by Sean Luke and George Mason University
-# Licensed under the Academic Free License version 3.0
-# See the file "LICENSE" for more information
-
-# The parameters that were laid out in Tutorial 1 (see the documentation)
-
-verbosity	= 0
-
-breedthreads	= 1
-evalthreads	= 1
-seed.0		= 4357
-
-state		= ec.simple.SimpleEvolutionState
-
-pop		= ec.Population
-init		= ec.simple.SimpleInitializer
-finish		= ec.simple.SimpleFinisher
-breed		= ec.simple.SimpleBreeder
-eval		= ec.simple.SimpleEvaluator
-stat		= ec.simple.SimpleStatistics
-exch		= ec.simple.SimpleExchanger
-
-generations		= 200
-quit-on-run-complete	= true
-checkpoint		= false
-prefix			= ec
-checkpoint-modulo	= 1
-
-stat.file		= $out.stat
-
-pop.subpops		= 1
-pop.subpop.0		= ec.Subpopulation
-
-pop.subpop.0.size 		= 15
-pop.subpop.0.duplicate-retries 	= 0
-pop.subpop.0.species 		= framsticks.FramsticksSpecies
-
-pop.subpop.0.species.fitness 	= ec.simple.SimpleFitness
-pop.subpop.0.species.ind	= framsticks.FramsticksIndividual
-
-pop.subpop.0.species.crossover-prob	= 1.0
-pop.subpop.0.species.mutation-prob	= 0.1
-
-pop.subpop.0.species.pipe			= framsticks.FramsticksMutationPipeline
-pop.subpop.0.species.pipe.source.0		= framsticks.FramsticksCrossoverPipeline
-pop.subpop.0.species.pipe.source.0.source.0	= ec.select.TournamentSelection
-pop.subpop.0.species.pipe.source.0.source.1	= ec.select.TournamentSelection
-
-select.tournament.size		= 2
-
-eval.problem		= framsticks.FramsticksEvolutionProblem
-
-breed.elite.0 = 2
-
-framsticks.debug = false
-framsticks.directory-path = C:/Framsticks/
-framsticks.scripts-output = C:/Framsticks/scripts_output/genosEval.txt
-framsticks.settings-file = C:/Framsticks/maze1.sim
-framsticks.working-directory = C:/Framsticks/
-framsticks.expdef = standard-eval
-framsticks.executable-cmd = frams -Q -e -s -icliutils.ini
Index: java/ecj/framsticks/framsticks.slave.params
===================================================================
--- java/ecj/framsticks/framsticks.slave.params	(revision 54)
+++ 	(revision )
@@ -1,33 +1,0 @@
-# Copyright 2006 by Sean Luke and George Mason University
-# Licensed under the Academic Free License version 3.0
-# See the file "LICENSE" for more information
-
-parent.0 = framsticks.master.params
-
-# We tell our slave that he's a slave.
-eval.i-am-slave = true
-
-
-# You may want to customize each slave by giving it a unique
-# name like this:
-# 
-# eval.slave-name = my-slave-name
-#
-# (do this differently for each slave:, slave-2, slave-3, etc.)
-# Otherwise, each slave will give itself an approximately unique name based
-# on the current time and the IP address of the slave.  The unique name
-# doesn't HAVE to be unique -- it's just for printing/debug purposes.
-
-
-# We want to make sure that the Slave's Statistics object does not
-# override the Master's statistics files.  The easiest way to do this
-# is to eliminate the Statistics object in the slave by setting it
-# to the (empty default) Statistics class with no children.
-
-eval.stat = ec.Statistics
-eval.stat.num-children = 0
-
-
-# The slave needs to know where the Master is.  You need to 
-# change this.
-eval.master.host = 127.0.0.1