Index: /cpp/gdk/conv_f1.cpp
===================================================================
--- /cpp/gdk/conv_f1.cpp	(revision 65)
+++ /cpp/gdk/conv_f1.cpp	(revision 66)
Index: /cpp/gdk/conv_f1.h
===================================================================
--- /cpp/gdk/conv_f1.h	(revision 65)
+++ /cpp/gdk/conv_f1.h	(revision 66)
Index: /cpp/gdk/defgenoconv.cpp
===================================================================
--- /cpp/gdk/defgenoconv.cpp	(revision 65)
+++ /cpp/gdk/defgenoconv.cpp	(revision 66)
@@ -59,5 +59,5 @@
 #ifdef USE_GENCONV_F81
 GenoConv_F8ToF1 *gc81=new GenoConv_F8ToF1();
-GenoConv_F8ToF1::staticpar=gc81->par; //a trick so that the simulator can see this parama
+GenoConv_F8ToF1::staticpar=gc81->par; //a trick so that the simulator can see this param
 addConverter(gc81);
 #endif
Index: /cpp/gdk/errmanager.cpp
===================================================================
--- /cpp/gdk/errmanager.cpp	(revision 65)
+++ /cpp/gdk/errmanager.cpp	(revision 66)
Index: /cpp/gdk/errmanager.h
===================================================================
--- /cpp/gdk/errmanager.h	(revision 65)
+++ /cpp/gdk/errmanager.h	(revision 66)
Index: /cpp/gdk/extvalue.cpp
===================================================================
--- /cpp/gdk/extvalue.cpp	(revision 65)
+++ /cpp/gdk/extvalue.cpp	(revision 66)
Index: /cpp/gdk/extvalue.h
===================================================================
--- /cpp/gdk/extvalue.h	(revision 65)
+++ /cpp/gdk/extvalue.h	(revision 66)
Index: /cpp/gdk/f0-modeldef.m4
===================================================================
--- /cpp/gdk/f0-modeldef.m4	(revision 65)
+++ /cpp/gdk/f0-modeldef.m4	(revision 66)
Index: /cpp/gdk/f0.def
===================================================================
--- /cpp/gdk/f0.def	(revision 65)
+++ /cpp/gdk/f0.def	(revision 66)
Index: /cpp/gdk/f0classes.h
===================================================================
--- /cpp/gdk/f0classes.h	(revision 65)
+++ /cpp/gdk/f0classes.h	(revision 66)
Index: /cpp/gdk/f0def.xml
===================================================================
--- /cpp/gdk/f0def.xml	(revision 65)
+++ /cpp/gdk/f0def.xml	(revision 66)
Index: /cpp/gdk/f0defxml.m4
===================================================================
--- /cpp/gdk/f0defxml.m4	(revision 65)
+++ /cpp/gdk/f0defxml.m4	(revision 66)
Index: /cpp/gdk/gdktest.cpp
===================================================================
--- /cpp/gdk/gdktest.cpp	(revision 65)
+++ /cpp/gdk/gdktest.cpp	(revision 66)
Index: /cpp/gdk/geno.cpp
===================================================================
--- /cpp/gdk/geno.cpp	(revision 65)
+++ /cpp/gdk/geno.cpp	(revision 66)
Index: /cpp/gdk/genoconv.cpp
===================================================================
--- /cpp/gdk/genoconv.cpp	(revision 65)
+++ /cpp/gdk/genoconv.cpp	(revision 66)
Index: /cpp/gdk/genoconv.h
===================================================================
--- /cpp/gdk/genoconv.h	(revision 65)
+++ /cpp/gdk/genoconv.h	(revision 66)
Index: /cpp/gdk/model.cpp
===================================================================
--- /cpp/gdk/model.cpp	(revision 65)
+++ /cpp/gdk/model.cpp	(revision 66)
Index: /cpp/gdk/model.def
===================================================================
--- /cpp/gdk/model.def	(revision 65)
+++ /cpp/gdk/model.def	(revision 66)
Index: /cpp/gdk/model.h
===================================================================
--- /cpp/gdk/model.h	(revision 65)
+++ /cpp/gdk/model.h	(revision 66)
Index: /cpp/gdk/modelparts.cpp
===================================================================
--- /cpp/gdk/modelparts.cpp	(revision 65)
+++ /cpp/gdk/modelparts.cpp	(revision 66)
Index: /cpp/gdk/modelparts.h
===================================================================
--- /cpp/gdk/modelparts.h	(revision 65)
+++ /cpp/gdk/modelparts.h	(revision 66)
Index: /cpp/gdk/multiparamload.cpp
===================================================================
--- /cpp/gdk/multiparamload.cpp	(revision 65)
+++ /cpp/gdk/multiparamload.cpp	(revision 66)
Index: /cpp/gdk/neurocls-factory.h
===================================================================
--- /cpp/gdk/neurocls-factory.h	(revision 65)
+++ /cpp/gdk/neurocls-factory.h	(revision 66)
Index: /cpp/gdk/neurocls-library.h
===================================================================
--- /cpp/gdk/neurocls-library.h	(revision 65)
+++ /cpp/gdk/neurocls-library.h	(revision 66)
Index: /cpp/gdk/neurocls-library.m4
===================================================================
--- /cpp/gdk/neurocls-library.m4	(revision 65)
+++ /cpp/gdk/neurocls-library.m4	(revision 66)
Index: /cpp/gdk/neurofactory.cpp
===================================================================
--- /cpp/gdk/neurofactory.cpp	(revision 65)
+++ /cpp/gdk/neurofactory.cpp	(revision 66)
Index: /cpp/gdk/neuroimpl.cpp
===================================================================
--- /cpp/gdk/neuroimpl.cpp	(revision 65)
+++ /cpp/gdk/neuroimpl.cpp	(revision 66)
Index: /cpp/gdk/neuroimpl.h
===================================================================
--- /cpp/gdk/neuroimpl.h	(revision 65)
+++ /cpp/gdk/neuroimpl.h	(revision 66)
Index: /cpp/gdk/nonstd.h
===================================================================
--- /cpp/gdk/nonstd.h	(revision 65)
+++ /cpp/gdk/nonstd.h	(revision 66)
Index: /cpp/gdk/nonstd_io.h
===================================================================
--- /cpp/gdk/nonstd_io.h	(revision 65)
+++ /cpp/gdk/nonstd_io.h	(revision 66)
Index: /cpp/gdk/sstringutils.cpp
===================================================================
--- /cpp/gdk/sstringutils.cpp	(revision 65)
+++ /cpp/gdk/sstringutils.cpp	(revision 66)
Index: /cpp/gdk/sstringutils.h
===================================================================
--- /cpp/gdk/sstringutils.h	(revision 65)
+++ /cpp/gdk/sstringutils.h	(revision 66)
Index: /cpp/geno_fx/geno_ftest.cpp
===================================================================
--- /cpp/geno_fx/geno_ftest.cpp	(revision 65)
+++ /cpp/geno_fx/geno_ftest.cpp	(revision 66)
Index: /cpp/geno_fx/geno_ftest.h
===================================================================
--- /cpp/geno_fx/geno_ftest.h	(revision 65)
+++ /cpp/geno_fx/geno_ftest.h	(revision 66)
Index: /cpp/geno_fx/geno_fx.cpp
===================================================================
--- /cpp/geno_fx/geno_fx.cpp	(revision 65)
+++ /cpp/geno_fx/geno_fx.cpp	(revision 66)
Index: /cpp/geno_fx/geno_fx.h
===================================================================
--- /cpp/geno_fx/geno_fx.h	(revision 65)
+++ /cpp/geno_fx/geno_fx.h	(revision 66)
Index: /cpp/geno_fx/rndutil.cpp
===================================================================
--- /cpp/geno_fx/rndutil.cpp	(revision 65)
+++ /cpp/geno_fx/rndutil.cpp	(revision 66)
Index: /cpp/geno_fx/rndutil.h
===================================================================
--- /cpp/geno_fx/rndutil.h	(revision 65)
+++ /cpp/geno_fx/rndutil.h	(revision 66)
Index: /java/client_3D/build.xml
===================================================================
--- /java/client_3D/build.xml	(revision 65)
+++ /java/client_3D/build.xml	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/App.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/App.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/App.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Client.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Client.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Client.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Communication.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Communication.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Communication.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/CommunicationErrorException.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/CommunicationErrorException.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/CommunicationErrorException.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/CommunicationMock.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/CommunicationMock.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/CommunicationMock.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Creature.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Creature.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Creature.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/ICommandListener.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/ICommandListener.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/ICommandListener.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/ILogListener.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/ILogListener.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/ILogListener.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Log.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Log.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Log.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/NeuroDef.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/NeuroDef.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/NeuroDef.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Renderer.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Renderer.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Renderer.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/Viewer.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/Viewer.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/Viewer.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/World.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/World.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/World.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/cgfxEffect.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/cgfxEffect.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/cgfxEffect.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFace.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFace.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFace.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFaceVertex.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFaceVertex.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJFaceVertex.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJLoader.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJLoader.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJLoader.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMesh.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMesh.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMesh.java	(revision 66)
Index: /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMeshConverter.java
===================================================================
--- /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMeshConverter.java	(revision 65)
+++ /java/client_3D/src/com/framsticks/net/client3D/graphics/loaders/OBJMeshConverter.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/BoundingBox.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/BoundingBox.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/BoundingBox.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/FloatVertexAttrib.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/FloatVertexAttrib.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/FloatVertexAttrib.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/Geometry.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/Geometry.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/Geometry.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryGroup.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryGroup.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryGroup.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryUtils.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryUtils.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/GeometryUtils.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/IndexBuffer.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/IndexBuffer.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/IndexBuffer.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/PrimitiveType.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/PrimitiveType.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/PrimitiveType.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/SkyBox.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/SkyBox.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/SkyBox.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec2.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec2.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec2.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec3.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec3.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/Vec3.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexAttrib.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexAttrib.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexAttrib.java	(revision 66)
Index: /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexStream.java
===================================================================
--- /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexStream.java	(revision 65)
+++ /java/client_3D/src/pl/vorg/mowa/core/graphics/VertexStream.java	(revision 66)