Index: cpp/gdk/convtest.vcproj
===================================================================
--- cpp/gdk/convtest.vcproj	(revision 69)
+++ cpp/gdk/convtest.vcproj	(revision 70)
@@ -45,5 +45,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;NOCREATUREOBJECT"
+				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;GDK_WITHOUT_FRAMS"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -143,8 +143,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.cpp"
 				>
@@ -243,8 +239,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.cpp"
-				>
-			</File>
-			<File
 				RelativePath="list.cpp"
 				>
@@ -307,8 +299,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.cpp"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.cpp"
 				>
@@ -359,8 +347,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="printconvmap.cpp"
 				>
@@ -397,8 +381,4 @@
 					/>
 				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stderrors.cpp"
-				>
 			</File>
 			<File
@@ -456,8 +436,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.h"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.h"
 				>
@@ -504,8 +480,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.h"
-				>
-			</File>
-			<File
 				RelativePath="list.h"
 				>
@@ -536,8 +508,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.h"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.h"
 				>
@@ -556,8 +524,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.h"
-				>
-			</File>
-			<File
 				RelativePath="printconvmap.h"
 				>
@@ -573,8 +537,4 @@
 			<File
 				RelativePath="statrick.h"
-				>
-			</File>
-			<File
-				RelativePath=".\stderrors.h"
 				>
 			</File>
Index: cpp/gdk/gdktest.vcproj
===================================================================
--- cpp/gdk/gdktest.vcproj	(revision 69)
+++ cpp/gdk/gdktest.vcproj	(revision 70)
@@ -45,5 +45,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;NOCREATUREOBJECT"
+				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;GDK_WITHOUT_FRAMS"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -142,8 +142,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.cpp"
 				>
@@ -242,8 +238,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.cpp"
-				>
-			</File>
-			<File
 				RelativePath="list.cpp"
 				>
@@ -306,8 +298,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.cpp"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.cpp"
 				>
@@ -358,8 +346,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="sstring.cpp"
 				>
@@ -384,8 +368,4 @@
 					/>
 				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stderrors.cpp"
-				>
 			</File>
 			<File
@@ -443,8 +423,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.h"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.h"
 				>
@@ -491,8 +467,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.h"
-				>
-			</File>
-			<File
 				RelativePath="list.h"
 				>
@@ -523,8 +495,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.h"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.h"
 				>
@@ -543,8 +511,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.h"
-				>
-			</File>
-			<File
 				RelativePath="printconvmap.h"
 				>
@@ -560,8 +524,4 @@
 			<File
 				RelativePath="statrick.h"
-				>
-			</File>
-			<File
-				RelativePath=".\stderrors.h"
 				>
 			</File>
Index: cpp/gdk/genotest.vcproj
===================================================================
--- cpp/gdk/genotest.vcproj	(revision 69)
+++ cpp/gdk/genotest.vcproj	(revision 70)
@@ -45,5 +45,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;NOCREATUREOBJECT"
+				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;GDK_WITHOUT_FRAMS"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -141,8 +141,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.cpp"
 				>
@@ -241,8 +237,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.cpp"
-				>
-			</File>
-			<File
 				RelativePath="list.cpp"
 				>
@@ -305,8 +297,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.cpp"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.cpp"
 				>
@@ -357,8 +345,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="sstring.cpp"
 				>
@@ -383,8 +367,4 @@
 					/>
 				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stderrors.cpp"
-				>
 			</File>
 			<File
@@ -442,8 +422,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.h"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.h"
 				>
@@ -490,8 +466,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.h"
-				>
-			</File>
-			<File
 				RelativePath="list.h"
 				>
@@ -522,8 +494,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.h"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.h"
 				>
@@ -542,8 +510,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.h"
-				>
-			</File>
-			<File
 				RelativePath="printconvmap.h"
 				>
@@ -559,8 +523,4 @@
 			<File
 				RelativePath="statrick.h"
-				>
-			</File>
-			<File
-				RelativePath=".\stderrors.h"
 				>
 			</File>
Index: cpp/gdk/neurotest.cpp
===================================================================
--- cpp/gdk/neurotest.cpp	(revision 69)
+++ cpp/gdk/neurotest.cpp	(revision 70)
@@ -65,6 +65,6 @@
 if (argc<=1)
 	{
-	puts("no genotype");
-	return 10;
+		puts("Parameters: <genotype> [number of simulation steps]");
+	  return 10;
 	}
 SString gen(argv[1]);
Index: cpp/gdk/neurotest.vcproj
===================================================================
--- cpp/gdk/neurotest.vcproj	(revision 69)
+++ cpp/gdk/neurotest.vcproj	(revision 70)
@@ -45,5 +45,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;NOCREATUREOBJECT"
+				PreprocessorDefinitions="_Windows;WIN32;_DEBUG;_CONSOLE;EASYMAPDEBUG;GDK_WITHOUT_FRAMS"
 				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
@@ -141,8 +141,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.cpp"
 				>
@@ -229,8 +225,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.cpp"
-				>
-			</File>
-			<File
 				RelativePath="list.cpp"
 				>
@@ -293,8 +285,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.cpp"
-				>
-			</File>
-			<File
 				RelativePath="neurofactory.cpp"
 				>
@@ -429,8 +417,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.cpp"
-				>
-			</File>
-			<File
 				RelativePath="sstring.cpp"
 				>
@@ -455,8 +439,4 @@
 					/>
 				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stderrors.cpp"
-				>
 			</File>
 			<File
@@ -514,8 +494,4 @@
 			</File>
 			<File
-				RelativePath=".\collectionobj.h"
-				>
-			</File>
-			<File
 				RelativePath="conv_f1.h"
 				>
@@ -562,8 +538,4 @@
 			</File>
 			<File
-				RelativePath=".\hashtable.h"
-				>
-			</File>
-			<File
 				RelativePath="list.h"
 				>
@@ -594,8 +566,4 @@
 			</File>
 			<File
-				RelativePath=".\neuroclsobject.h"
-				>
-			</File>
-			<File
 				RelativePath="neurolibrary.h"
 				>
@@ -614,8 +582,4 @@
 			</File>
 			<File
-				RelativePath=".\paramvmobj.h"
-				>
-			</File>
-			<File
 				RelativePath="printconvmap.h"
 				>
@@ -631,8 +595,4 @@
 			<File
 				RelativePath="statrick.h"
-				>
-			</File>
-			<File
-				RelativePath=".\stderrors.h"
 				>
 			</File>