Index: cpp/gdk/extvalue.cpp
===================================================================
--- cpp/gdk/extvalue.cpp	(revision 73)
+++ cpp/gdk/extvalue.cpp	(revision 74)
@@ -279,5 +279,5 @@
 		{
 		SString tmp;
-		sprintf(tmp.directAppend(20),"%g",ddata());
+		sprintf(tmp.directAppend(20),"%.15g",ddata());
 		tmp.endAppend();
 		if ((!strchr(tmp,'.'))&&(!strchr(tmp,'e'))) tmp+=".0";
Index: cpp/gdk/multiparamload.h
===================================================================
--- cpp/gdk/multiparamload.h	(revision 73)
+++ cpp/gdk/multiparamload.h	(revision 74)
@@ -10,10 +10,25 @@
 #include "virtfile.h"
 
-/** "param" file parser for loading multiple objects.
+/** This is the general "framsticks-format" file parser for loading multiple objects.
     The loader can be configured to recognize multiple object types from object headers
-    and automatically call ParamInterface::load for matching class.
-    By using MultiParamLoader::go() function you can receive status events, they can be
-    used to handle multiple object instances or parse complex files (see loadtest.cpp sample code).
-    A simple MultiParamLoader::run() can be used if you need any events.
+    and automatically call ParamInterface::load for the matching class.
+    
+    Your code should repeatedly call MultiParamLoader::go() method and check the status after each call, until the end of file.
+    The loader pauses before and/or after each object giving you a chance to perform your application-specific actions (see MultiParamLoader::breakOn()).
+    If your application does not require any special actions, then the simple MultiParamLoader:run() can be used.
+    The word "record" (and "record type") used in this description refer to the textual form of a serialized object - this is to avoid confusion with 'live' objects passed to the loader methods. "Record type" can be the same as the class name, but it does not have to be the same. For example, the most common record type for storing the Genotype object is called "org" (think: organism) instead of "Genotype".
+
+    Typical usage scenarios:
+    1. Loading a file that contains at most one object of any given class:
+    - declare the object class(es) - MultiParamLoader::addClass()
+    - call MultiParamLoader::run()
+    - and that's all, the records from the file will be loaded into the corresponding objects
+
+    2. Loading multiple objects and adding them to a list (see loadtest.cpp for a sample code that demonstrates this scenario)
+    - declare the object class giving the empty "template" object - MultiParamLoader::addClass()
+    - set breakOn(AfterObject)
+    - call MultiParamLoader::go() in a loop
+    - the returned status will be equal to AfterObject each time an object is loaded. One can detect this condition and create the real object from our template object
+    (alternatively, one could breakOn(BeforeObject) and use MultiParamLoader::loadObjectNow(ParamInterface*) to load the incoming object into a newly created object).    
  */
 class MultiParamLoader
@@ -50,12 +65,15 @@
 void load(const char* filename);
 
-/** register the object class. classes' names will be matched with object headers ("xxx:" in the file) */
+/** Register the object class. Class names will be matched with object headers ("xxx:" in the input file).
+    Used with breakOn(BeforeObject) and/or breakOn(AfterObject).
+    Note that registered classes will only work when the record name matches the class name, otherwise breakOn(BeforeUnknown) must be used and then getClassName() to check for the expected record.
+ */
 void addClass(ParamInterface *pi) {params+=pi;}
 void removeClass(ParamInterface *pi) {params-=pi;}
 void clearClasses() {params.clear();}
 
-/** to be used in the main loop: while(event=loader.go()) { ... }
-    loader.go() will return on specified events (@see breakOn(), noBreakOn())
-    then you can handle the event and resume loading
+/** To be used in the main loop: while(event=loader.go()) { ... }
+    loader.go() will return on specified events (@see breakOn(), noBreakOn()),
+    then you can handle the event and resume loading.
  */
 virtual int go();
@@ -66,5 +84,5 @@
 VirtFILE *getFile() {return file;}
 
-/** abort immediately and close the file if needed */
+/** Abort immediately and close the file if needed */
 void abort();
 /** @param conditions can be combined bitwise, eg. MultiParamLoader::BeforeObject |  MultiParamLoader::OnComment
@@ -74,7 +92,13 @@
 void noBreakOn(int conditions) {breakcond&=~conditions;}
 /**
-   - BeforeObject: found an object with recognized classname
-   - AfterObject: the object was loaded into the registered class interface
-   - BeforeUnknown: unknown (not registered) object header detected.
+   These constants are used as arguments in breakOn(), and as status values from go() and getStatus().
+   The user code can define some classes for automatic recognition (using addClass()); such records can be read without performing any additional actions.
+   
+   - BeforeObject: found an object with recognized classname (addClass()). Application code can choose to skip the incoming record (skipObject()), redirect the incoming data into a different object (loadObjectNow(ParamInterface*)), or do nothing for default behavior (loading into previously registered object).
+
+   - AfterObject: the object was loaded into the registered class interface (addClass()). This is to allow for additional actions after loading the object (e.g. data validation).
+
+   - BeforeUnknown: unknown (not registered) object header detected. Like in BeforeObject, the application can skipObject() or loadObjectNow().
+
 @see getClass(), GetClassName()
  */
@@ -82,20 +106,21 @@
 		       BeforeUnknown=4, OnComment=8, OnError=16, Loading=32 };
 
-/** can be used BeforeObject and AfterObject */
+/** Can be used BeforeObject and AfterObject */
 ParamInterface *getClass() {return lastclass;}
-/** can be used BeforeUnknown, BeforeObject, AfterObject */
+/** Can be used BeforeUnknown, BeforeObject, AfterObject */
 const SString& getClassName() {return lastunknown;}
-/** unknown object will be loaded if you set its class BeforeUnknown */
+const void setClassName(SString n) {lastunknown=n;}
+/** Unknown object will be loaded if you set its class BeforeUnknown */
 void setClass(ParamInterface *pi) {lastclass=pi;}
-/** can be used OnComment */
+/** Can be used OnComment */
 const SString& getComment() {return lastcomment;}
-/** can be used OnError */
+/** Can be used OnError */
 const SString& getError() {return lasterror;}
-/** can be used BeforeObject and BeforeUnknown */
+/** Can be used BeforeObject and BeforeUnknown */
 int loadObjectNow(ParamInterface *pi);
-/** can be used BeforeObject */
+/** Can be used BeforeObject */
 int loadObjectNow() {return loadObjectNow(getClass());}
-/** can be used BeforeObject and BeforeUnknown.
-    object data will not be loaded. */
+/** Can be used BeforeObject and BeforeUnknown.
+    Object data will not be loaded. */
 int skipObject() {return loadObjectNow(&emptyparam);}
 /** @return 1 if no errors */
@@ -109,2 +134,3 @@
 
 #endif
+
Index: cpp/gdk/sstring.h
===================================================================
--- cpp/gdk/sstring.h	(revision 73)
+++ cpp/gdk/sstring.h	(revision 74)
@@ -137,5 +137,5 @@
 int operator==(const SString &s) const {return equals(s);} ///< TRUE if equal
 const char* operator()(int p) const {return buf->txt+p;} ///< pointer to p'th character in SString
-char operator[](int i) {return buf->txt[i];} ///< get char like in array
+char operator[](int i) const {return buf->txt[i];} ///< get char like in array
 
 /// return a substring of the current string